Provider
Listing object
- idstring
- summaryobject
Show child attributesHide child attributes
- namestring
- subtitlestring
- statusstring
Enums
DRAFTPENDINGPUBLISHEDSUSPENDED
- provider_regionobject
Show child attributesHide child attributes
- cloudstring
- regionstring
- settingobject
Show child attributesHide child attributes
- visibilitystring
PUBLICPRIVATE
- created_atint64
- created_bystring
- updated_atint64
- updated_bystring
- published_atint64
- published_bystring
- categoriesarray of string
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- listingTypestring
STANDARDPERSONALIZED
- created_by_idint64
- updated_by_idint64
- provider_idstring
- exchange_idsarray of string
- git_repoobject
if a git repo is being created, a listing will be initialized with this field as opposed to a share
Show child attributesHide child attributes
- git_repo_urlstring
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- detailobject
Show child attributesHide child attributes
- descriptionstring
- terms_of_servicestring
- documentation_linkstring
- support_linkstring
- file_idsarray of string
- privacy_policy_linkstring
- embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
- geographical_coveragestring
Which geo region the listing data is collected from
- coststring
Whether the dataset is free or paid
FREEPAID
- pricing_modelstring
What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid
- update_frequencyobject
How often data is updated
Show child attributesHide child attributes
- intervalint64
- unitstring
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_granularityobject
Smallest unit of time in the dataset
Show child attributesHide child attributes
- intervalint64
- unitstring
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_date_startint64
The starting date timestamp for when the data spans
- collection_date_endint64
The ending date timestamp for when the data spans
- data_sourcestring
Where/how the data is sourced
- sizedouble
size of the dataset in GB
- assetsarray of string
Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- licensestring
ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets
- tagsarray of object
Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:
- If the field is optional and won't need to have NOT NULL integrity check
- The value is fairly fixed, static and low cardinality (eg. enums).
- The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
- tag_namestring
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of string
String representation of the tag value. Values should be string literals (no complex types)
Get a listing Public Preview
GET
1 more path
GET
Get a listing
API scopes: marketplace
Parameters
- idstringRequiredpath
Response
- listingobject
Show child attributesHide child attributes
- idstring
- summaryobjectRequired
Show child attributesHide child attributes
- namestringRequired
- subtitlestring
- statusstring
Enums
DRAFTPENDINGPUBLISHEDSUSPENDED
- provider_regionobject
Show child attributesHide child attributes
- cloudstring
- regionstring
- settingobject
Show child attributesHide child attributes
- visibilitystring
PUBLICPRIVATE
- created_atint64
- created_bystring
- updated_atint64
- updated_bystring
- published_atint64
- published_bystring
- categoriesarray of string
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- listingTypestringRequired
STANDARDPERSONALIZED
- created_by_idint64
- updated_by_idint64
- provider_idstring
- exchange_idsarray of string
- git_repoobject
if a git repo is being created, a listing will be initialized with this field as opposed to a share
Show child attributesHide child attributes
- git_repo_urlstringRequired
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- detailobject
Show child attributesHide child attributes
- descriptionstring
- terms_of_servicestring
- documentation_linkstring
- support_linkstring
- file_idsarray of string
- privacy_policy_linkstring
- embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
- geographical_coveragestring
Which geo region the listing data is collected from
- coststring
Whether the dataset is free or paid
FREEPAID
- pricing_modelstring
What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid
- update_frequencyobject
How often data is updated
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_granularityobject
Smallest unit of time in the dataset
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_date_startint64
The starting date timestamp for when the data spans
- collection_date_endint64
The ending date timestamp for when the data spans
- data_sourcestring
Where/how the data is sourced
- sizedouble
size of the dataset in GB
- assetsarray of string
Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- licensestring
ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets
- tagsarray of object
Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:
- If the field is optional and won't need to have NOT NULL integrity check
- The value is fairly fixed, static and low cardinality (eg. enums).
- The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
- tag_namestring
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of string
String representation of the tag value. Values should be string literals (no complex types)
List listings Public Preview
GET
1 more path
GET
List listings owned by this provider
API scopes: marketplace
Parameters
- page_tokenstringquery
- page_sizeint32query
Response
Returns a list of Listing objects.
Create a listing Public Preview
POST
1 more path
POST
Create a new listing
API scopes: marketplace
Request body
- listingobjectRequired
Show child attributesHide child attributes
- idstring
- summaryobjectRequired
Show child attributesHide child attributes
- namestringRequired
- subtitlestring
- statusstring
Enums
DRAFTPENDINGPUBLISHEDSUSPENDED
- provider_regionobject
Show child attributesHide child attributes
- cloudstring
- regionstring
- settingobject
Show child attributesHide child attributes
- visibilitystring
PUBLICPRIVATE
- created_atint64
- created_bystring
- updated_atint64
- updated_bystring
- published_atint64
- published_bystring
- categoriesarray of string
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- listingTypestringRequired
STANDARDPERSONALIZED
- created_by_idint64
- updated_by_idint64
- provider_idstring
- exchange_idsarray of string
- git_repoobject
if a git repo is being created, a listing will be initialized with this field as opposed to a share
Show child attributesHide child attributes
- git_repo_urlstringRequired
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- detailobject
Show child attributesHide child attributes
- descriptionstring
- terms_of_servicestring
- documentation_linkstring
- support_linkstring
- file_idsarray of string
- privacy_policy_linkstring
- embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
- geographical_coveragestring
Which geo region the listing data is collected from
- coststring
Whether the dataset is free or paid
FREEPAID
- pricing_modelstring
What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid
- update_frequencyobject
How often data is updated
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_granularityobject
Smallest unit of time in the dataset
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_date_startint64
The starting date timestamp for when the data spans
- collection_date_endint64
The ending date timestamp for when the data spans
- data_sourcestring
Where/how the data is sourced
- sizedouble
size of the dataset in GB
- assetsarray of string
Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- licensestring
ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets
- tagsarray of object
Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:
- If the field is optional and won't need to have NOT NULL integrity check
- The value is fairly fixed, static and low cardinality (eg. enums).
- The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
- tag_namestring
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of string
String representation of the tag value. Values should be string literals (no complex types)
Response
- listing_idstring
Update listing Public Preview
PUT
1 more path
PUT
Update a listing
API scopes: marketplace
Parameters
- idstringRequiredpath
Request body
- listingobjectRequired
Show child attributesHide child attributes
- idstring
- summaryobjectRequired
Show child attributesHide child attributes
- namestringRequired
- subtitlestring
- statusstring
Enums
DRAFTPENDINGPUBLISHEDSUSPENDED
- provider_regionobject
Show child attributesHide child attributes
- cloudstring
- regionstring
- settingobject
Show child attributesHide child attributes
- visibilitystring
PUBLICPRIVATE
- created_atint64
- created_bystring
- updated_atint64
- updated_bystring
- published_atint64
- published_bystring
- categoriesarray of string
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- listingTypestringRequired
STANDARDPERSONALIZED
- created_by_idint64
- updated_by_idint64
- provider_idstring
- exchange_idsarray of string
- git_repoobject
if a git repo is being created, a listing will be initialized with this field as opposed to a share
Show child attributesHide child attributes
- git_repo_urlstringRequired
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- detailobject
Show child attributesHide child attributes
- descriptionstring
- terms_of_servicestring
- documentation_linkstring
- support_linkstring
- file_idsarray of string
- privacy_policy_linkstring
- embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
- geographical_coveragestring
Which geo region the listing data is collected from
- coststring
Whether the dataset is free or paid
FREEPAID
- pricing_modelstring
What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid
- update_frequencyobject
How often data is updated
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_granularityobject
Smallest unit of time in the dataset
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_date_startint64
The starting date timestamp for when the data spans
- collection_date_endint64
The ending date timestamp for when the data spans
- data_sourcestring
Where/how the data is sourced
- sizedouble
size of the dataset in GB
- assetsarray of string
Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- licensestring
ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets
- tagsarray of object
Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:
- If the field is optional and won't need to have NOT NULL integrity check
- The value is fairly fixed, static and low cardinality (eg. enums).
- The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
- tag_namestring
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of string
String representation of the tag value. Values should be string literals (no complex types)
Response
- listingobject
Show child attributesHide child attributes
- idstring
- summaryobjectRequired
Show child attributesHide child attributes
- namestringRequired
- subtitlestring
- statusstring
Enums
DRAFTPENDINGPUBLISHEDSUSPENDED
- provider_regionobject
Show child attributesHide child attributes
- cloudstring
- regionstring
- settingobject
Show child attributesHide child attributes
- visibilitystring
PUBLICPRIVATE
- created_atint64
- created_bystring
- updated_atint64
- updated_bystring
- published_atint64
- published_bystring
- categoriesarray of string
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- listingTypestringRequired
STANDARDPERSONALIZED
- created_by_idint64
- updated_by_idint64
- provider_idstring
- exchange_idsarray of string
- git_repoobject
if a git repo is being created, a listing will be initialized with this field as opposed to a share
Show child attributesHide child attributes
- git_repo_urlstringRequired
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- detailobject
Show child attributesHide child attributes
- descriptionstring
- terms_of_servicestring
- documentation_linkstring
- support_linkstring
- file_idsarray of string
- privacy_policy_linkstring
- embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
- geographical_coveragestring
Which geo region the listing data is collected from
- coststring
Whether the dataset is free or paid
FREEPAID
- pricing_modelstring
What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid
- update_frequencyobject
How often data is updated
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_granularityobject
Smallest unit of time in the dataset
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_date_startint64
The starting date timestamp for when the data spans
- collection_date_endint64
The ending date timestamp for when the data spans
- data_sourcestring
Where/how the data is sourced
- sizedouble
size of the dataset in GB
- assetsarray of string
Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- licensestring
ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets
- tagsarray of object
Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:
- If the field is optional and won't need to have NOT NULL integrity check
- The value is fairly fixed, static and low cardinality (eg. enums).
- The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
- tag_namestring
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of string
String representation of the tag value. Values should be string literals (no complex types)
Delete a listing Public Preview
DELETE
1 more path
DELETE
Delete a listing
API scopes: marketplace
Parameters
- idstringRequiredpath
Get provider Public Preview
GET
1 more path
GET
Get provider profile
API scopes: marketplace
Parameters
- idstringRequiredpath
Response
- providerobject
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
List providers Public Preview
GET
1 more path
GET
List provider profiles for account.
API scopes: marketplace
Parameters
- page_tokenstringquery
- page_sizeint32query
Response
- providersarray of object
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
- next_page_tokenstring
Create a provider Public Preview
POST
1 more path
POST
Create a provider
API scopes: marketplace
Request body
- providerobjectRequired
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
Response
- idstring
Update provider Public Preview
PUT
1 more path
PUT
Update provider profile
API scopes: marketplace
Parameters
- idstringRequiredpath
Request body
- providerobjectRequired
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
Response
- providerobject
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
Delete provider Public Preview
DELETE
1 more path
DELETE
Delete provider
API scopes: marketplace
Parameters
- idstringRequiredpath
All personalization requests across all listings Public Preview
GET
1 more path
GET
List personalization requests to this provider. This will return all personalization requests, regardless of which listing they are for.
API scopes: marketplace
Parameters
- page_tokenstringquery
- page_sizeint32query
Response
- personalization_requestsarray of object
Show child attributesHide child attributes
- idstring
- consumer_regionobjectRequired
Show child attributesHide child attributes
- cloudstring
- regionstring
- contact_infoobject
Show child attributesHide child attributes
- first_namestring
- last_namestring
- emailstring
- companystring
- commentstring
- intended_usestring
- statusstring
NEWREQUEST_PENDINGFULFILLEDDENIED
- status_messagestring
- created_atint64
- listing_idstring
- updated_atint64
- metastore_idstring
- listing_namestring
- is_from_lighthouseboolean
- provider_idstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- next_page_tokenstring
Update personalization request status Public Preview
PUT
1 more path
PUT
Update personalization request. This method only permits updating the status of the request.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
- request_idstringRequiredpath
Request body
- statusstringRequired
NEWREQUEST_PENDINGFULFILLEDDENIED
- reasonstring
Response
- requestobject
Show child attributesHide child attributes
- idstring
- consumer_regionobjectRequired
Show child attributesHide child attributes
- cloudstring
- regionstring
- contact_infoobject
Show child attributesHide child attributes
- first_namestring
- last_namestring
- emailstring
- companystring
- commentstring
- intended_usestring
- statusstring
NEWREQUEST_PENDINGFULFILLEDDENIED
- status_messagestring
- created_atint64
- listing_idstring
- updated_atint64
- metastore_idstring
- listing_namestring
- is_from_lighthouseboolean
- provider_idstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
Get a file Public Preview
GET
1 more path
GET
Get a file
API scopes: marketplace
Parameters
- file_idstringRequiredpath
Response
- file_infoobject
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
List files Public Preview
GET
1 more path
GET
List files attached to a parent entity.
API scopes: marketplace
Parameters
- file_parentobjectRequiredquery
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- page_tokenstringquery
- page_sizeint32query
Response
- file_infosarray of object
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
- next_page_tokenstring
Create a file Public Preview
POST
1 more path
POST
Create a file. Currently, only provider icons and attached notebooks are supported.
API scopes: marketplace
Request body
- file_parentobjectRequired
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- marketplace_file_typestringRequired
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- mime_typestringRequired
- display_namestring
Response
- upload_urlstring
Pre-signed POST URL to blob storage
- file_infoobject
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
Show child attributesHide child attributes
- parent_idstring
- file_parent_typestring
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
Delete a file Public Preview
DELETE
1 more path
DELETE
Delete a file
API scopes: marketplace
Parameters
- file_idstringRequiredpath
Get provider analytics dashboard Public Preview
GET
1 more path
GET
Get provider analytics dashboard.
API scopes: marketplace
Response
- idstringRequired
- versionint64
- dashboard_idstringRequired
dashboard_id will be used to open Lakeview dashboard.
Create provider analytics dashboard Public Preview
POST
1 more path
POST
Create provider analytics dashboard. Returns Marketplace specific id. Not to be confused with the Lakeview dashboard id.
API scopes: marketplace
Response
- idstringRequired
Update provider analytics dashboard Public Preview
PUT
1 more path
PUT
Update provider analytics dashboard.
API scopes: marketplace
Parameters
- idstringRequiredpath
id is immutable property and can't be updated.
Request body
- versionint64
this is the version of the dashboard template we want to update our user to current expectation is that it should be equal to latest version of the dashboard template
Response
- idstringRequired
id & version should be the same as the request
- versionint64
- dashboard_idstringRequired
this is newly created Lakeview dashboard for the user
Get latest version of provider analytics dashboard Public Preview
GET
1 more path
GET
Get latest version of provider analytics dashboard.
API scopes: marketplace
Response
- versionint64
version here is latest logical version of the dashboard template